Bug 1271494 - [ALL_LANG] Copy dialog box of quota list contains partially translated message
[ALL_LANG] Copy dialog box of quota list contains partially translated message
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
All Linux
unspecified Severity medium (vote)
: ovirt-4.0.0-alpha
: ---
Assigned To: bugs@ovirt.org
Pavel Stehlik
: Translation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 03:22 EDT by Krishna Babu K
Modified: 2016-04-06 07:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-06 07:31:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dfediuck: ovirt‑4.0.0?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
Reference image which describe the problem clearly. (145.30 KB, image/png)
2015-10-14 03:27 EDT, Krishna Babu K
no flags Details

  None (edit)
Description Krishna Babu K 2015-10-14 03:22:53 EDT
Description of problem:

Partially translated error message appears when selecting Copy click OK in the dialogue window coming from 'quota' tab list.

Version-Release number of selected component (if applicable):

3.6.0-0.16

How reproducible:

Always

Steps to Reproduce:
1. Launch admin portel
2. Goto system -> data centers -> default and select 'quota'
3. Select one entry from the below list and then click on 'copy' and click on 'ok' button of appeared dialog box.
4. Cancel message box has partially translated message.

Actual results:

Message partially translated.

Expected results:

Message should be translated.

Additional info:

Screen shot attached for reference.
Comment 1 Krishna Babu K 2015-10-14 03:27 EDT
Created attachment 1082716 [details]
Reference image which describe the problem clearly.
Comment 2 Einav Cohen 2015-10-15 14:42:41 EDT
it looks like this message arrives from the @Size constraint annotation [1] - I don't think that we currently have localization support for that. 
we should either do a (duplicated) validation on the client side, which will be localized, or introduce a localization infrastructure for annotation-based validations on the backend (will take time). 

[1] https://docs.oracle.com/javaee/6/api/javax/validation/constraints/Size.html
Comment 3 Doron Fediuck 2016-04-06 07:31:11 EDT
Closing old issues based on capacity.
Please re-open only if relevant and needed.

Note You need to log in before you can comment on or make changes to this bug.